html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    box-sizing: border-box; /* Zorgt ervoor dat padding en border niet buiten de container vallen */
    font-family: Arial, sans-serif; /* Standaard lettertype voor de hele pagina */
}

.box {
    height: 400px;
    width: 400px;
    background-color: lightblue;
    position: relative;
    border-radius: 200px;
    border: solid 2px darkblue;
}

#cat {
    font-size: 40px;
}

.boxLeftRight {
    height: 300px;
    width: 300px;
    border: solid 2px darkgreen;
    background-color: lightgreen;
    position: relative; /* zorgt dat de text binnen de container blijft */
    overflow: hidden; /* Verberg tekst die buiten de container beweegt */
}

.boxLeftRight p {
    font-size: 30px;
    color: darkgreen;
    font-weight: bolder;
    background-color: lightgreen;
    text-align: center;
    position: absolute; /* Maakt het mogelijk om de tekst te verplaatsen */
    top: 0; /* Begin bovenaan de container */
    left: 50%; /* Centreer de tekst horizontaal */
    transform: translateX(-50%); /* Zorgt ervoor dat de tekst gecentreerd blijft */
}

.section1 {
    height: 100vh;
}

.section2 {
    height: 100vh;
}

.section3 {
    height: 100vh;
    background-color: lightcyan;
    display: flex;
    align-items: center;
}

.section3Box {
    height: 75vh;
    width: 75vh;
    background-color: lightcoral;
    font-size: 40px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transform: translateX(-100%); /* Verplaats de kat buiten de container */
    opacity: 0; /* Verberg de kat */
    transition: transform 1s ease-out, opacity 1s ease-out; /* Maak de animatie vloeiend */
}

.section3Box.section3BoxVisible {
    transform: translateX(0); /* slide into view */
    opacity: 1; /* fade in */
}

.catWithGlasses {
    height: 50%;
    width: auto;
}

.section4 {
    height: 100vh;
    background-color: lavenderblush;
    font-size: 40px;
    display: flex;
    justify-content:space-around;
    align-items: center;
}

.section4 h2 {
    margin-left: 80px;
}

#koreanHeartCat {
    height: auto;
    width: 50%;
    margin-left: 80px;
    margin-right: 80px;
    transition: 0.3s ease; /* Maak de animatie vloeiend */
}

.section5 {
    height: 100vh;
    background-color: lightseagreen;
    font-size: 40px;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.circle {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: red;
    animation: moveCircle 5s linear infinite; /* Maak de cirkel oneindig bewegen */
}

@keyframes moveCircle {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(500px, 300px); /* Adjust for random movement */
    }
    
}